Author vstinner
Recipients Arfrever, amaury.forgeotdarc, asvetlov, brett.cannon, docs@python, eric.snow, eudoxos, ncoghlan, python-dev, r.david.murray, vstinner
Date 2012-12-14.16:42:10
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1355503331.38.0.850329598574.issue16421@psf.upfronthosting.co.za>
In-reply-to
Content
Some tests are failing since the changeset 6eefe4d537b3.

Example:
http://buildbot.python.org/all/builders/x86%20RHEL%206%203.x/builds/1431/steps/test/logs/stdio

Please check buildbots.

[176/371] test_pkgutil
test_getdata_filesys (test.test_pkgutil.PkgutilTests) ... ok
test_getdata_zipfile (test.test_pkgutil.PkgutilTests) ... ok
test_unreadable_dir_on_syspath (test.test_pkgutil.PkgutilTests) ... ok
test_alreadyloaded (test.test_pkgutil.PkgutilPEP302Tests) ... ERROR
test_getdata_pep302 (test.test_pkgutil.PkgutilPEP302Tests) ... ERROR
test_mixed_namespace (test.test_pkgutil.ExtendPathTests) ... ERROR
test_simple (test.test_pkgutil.ExtendPathTests) ... ERROR
test_nested (test.test_pkgutil.NestedNamespacePackageTest) ... ok
test_get_importer_avoids_emulation (test.test_pkgutil.ImportlibMigrationTests) ... ok
test_get_loader_avoids_emulation (test.test_pkgutil.ImportlibMigrationTests) ... ok
test_importer_deprecated (test.test_pkgutil.ImportlibMigrationTests) ... ok
test_iter_importers_avoids_emulation (test.test_pkgutil.ImportlibMigrationTests) ... ok
test_loader_deprecated (test.test_pkgutil.ImportlibMigrationTests) ... ok

======================================================================
ERROR: test_alreadyloaded (test.test_pkgutil.PkgutilPEP302Tests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/test/test_pkgutil.py", line 139, in test_alreadyloaded
    self.assertEqual(foo.loads, 1)
AttributeError: 'module' object has no attribute 'loads'

======================================================================
ERROR: test_getdata_pep302 (test.test_pkgutil.PkgutilPEP302Tests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/pkgutil.py", line 502, in find_loader
    return importlib.find_loader(fullname, path)
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/importlib/__init__.py", line 64, in find_loader
    loader = sys.modules[name].__loader__
AttributeError: 'module' object has no attribute '__loader__'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/test/test_pkgutil.py", line 131, in test_getdata_pep302
    self.assertEqual(pkgutil.get_data('foo', 'dummy'), "Hello, world!")
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/pkgutil.py", line 625, in get_data
    loader = get_loader(package)
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/pkgutil.py", line 480, in get_loader
    return find_loader(fullname)
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/pkgutil.py", line 508, in find_loader
    raise ImportError(msg.format(fullname, type(ex), ex)) from ex
ImportError: Error while finding loader for 'foo' (<class 'AttributeError'>: 'module' object has no attribute '__loader__')

======================================================================
ERROR: test_mixed_namespace (test.test_pkgutil.ExtendPathTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 1523, in _find_and_load_unlocked
AttributeError: 'module' object has no attribute '__path__'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/test/test_pkgutil.py", line 198, in test_mixed_namespace
    import foo.bar
ImportError: No module named 'foo.bar'; foo is not a package

======================================================================
ERROR: test_simple (test.test_pkgutil.ExtendPathTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 1523, in _find_and_load_unlocked
AttributeError: 'module' object has no attribute '__path__'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/buildbot/buildarea/3.x.coghlan-redhat/build/Lib/test/test_pkgutil.py", line 170, in test_simple
    import foo.bar
ImportError: No module named 'foo.bar'; foo is not a package

----------------------------------------------------------------------
Ran 13 tests in 0.027s
History
Date User Action Args
2012-12-14 16:42:11vstinnersetrecipients: + vstinner, brett.cannon, amaury.forgeotdarc, ncoghlan, Arfrever, r.david.murray, asvetlov, docs@python, python-dev, eric.snow, eudoxos
2012-12-14 16:42:11vstinnersetmessageid: <1355503331.38.0.850329598574.issue16421@psf.upfronthosting.co.za>
2012-12-14 16:42:11vstinnerlinkissue16421 messages
2012-12-14 16:42:10vstinnercreate